Mandrake Linux Security Advisory : openssl (MDKSA-2003:020)

Medium Nessus Plugin ID 14005


The remote Mandrake Linux host is missing one or more security updates.


In an upcoming paper, Brice Canvel (EPFL), Alain Hiltgen (UBS), Serge Vaudenay (EPFL), and Martin Vuagnoux (EPFL, Ilion) describe and demonstrate a timing-based attack on CBC ciphersuites in SSL and TLS.

New versions of openssl have been released in response to this vulnerability (0.9.6i and 0.9.7a). The openssl released with Linux-Mandrake 7.2 and Single Network Firewall 7.2 has been patched to correct this issue.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 14005

File Name: mandrake_MDKSA-2003-020.nasl

Version: $Revision: 1.18 $

Type: local

Published: 2004/07/31

Modified: 2015/09/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:libopenssl0, p-cpe:/a:mandriva:linux:libopenssl0-devel, p-cpe:/a:mandriva:linux:libopenssl0-static-devel, p-cpe:/a:mandriva:linux:openssl, p-cpe:/a:mandriva:linux:openssl-devel, cpe:/o:mandrakesoft:mandrake_linux:7.2, cpe:/o:mandrakesoft:mandrake_linux:8.0, cpe:/o:mandrakesoft:mandrake_linux:8.1, cpe:/o:mandrakesoft:mandrake_linux:8.2, cpe:/o:mandrakesoft:mandrake_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2003/02/21

Reference Information

CVE: CVE-2003-0078

MDKSA: 2003:020